<?php
/*
  Copyright (c) 2020, Jack York
  All rights reserved.

  KissIt Image 4.5.4

  by @raiwa
  raiwa@phoenixcartaddons.com
  www.oscaddons.com

  Copyright (c) 2022, Rainer Schmied

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

class hook_admin_system_kiss_image_functions {
  var $version = '4.5.4';

}

// Function to reset KISSit image thumbs cache entries and directories
	function tep_destroy_thumbs_dir( $dir = '' ) {
    if (!is_dir($dir) || is_link($dir)) return unlink($dir);
    foreach (scandir($dir) as $file) {
    	if ($file == '.' || $file == '..') continue;
      if (!tep_destroy_thumbs_dir($dir . '/' . $file)) {
      	chmod($dir . '/' . $file, 0777);
        if (!tep_destroy_thumbs_dir($dir . '/' . $file)) return false;
      };
    }
    return rmdir($dir);
  }

// Function to reset KISSit image thumbs cache entries
  function tep_cfg_reset_thumbs_cache( $action = 'false' ) {
  	if ('reset' === $action ) {
  		$dir = DIR_FS_CATALOG . 'images/' . KISSIT_THUMBS_MAIN_DIR;
  		if (file_exists($dir)) {
  			tep_destroy_thumbs_dir($dir);
  		}
  		$admin_dir = DIR_FS_ADMIN . 'images/' . KISSIT_THUMBS_MAIN_DIR;
  		if (file_exists($admin_dir)) {
  			tep_destroy_thumbs_dir($admin_dir);
  		}
  		$GLOBALS['db']->query(<<<'EOSQL'
UPDATE configuration
  SET configuration_value='false'
  WHERE configuration_key='KISSIT_RESET_IMAGE_THUMBS'
EOSQL
      );
  	}
    return $action;
  }
